
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>blog</title>
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/row_menus.css">
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/iframe.css">
<SCRIPT language=JavaScript src="servtools/ajax_client/ajax.js"></SCRIPT>
<SCRIPT language=JavaScript src="skin/default/js/jooyea.js"></SCRIPT>
<script type="text/javascript">

function xmlchange(){
	if(xmlhttp.readyState==4&&xmlhttp.status==200){
			var return_str=xmlhttp.responseText;
			var	return_text=return_str.replace(/[\s\n\r]/g,"");
	}
}

function save_sort(sort_id,text_id){
	var sort_value=document.getElementById(text_id).value;
	if(trim(sort_value)==''){
		parent.Dialog.alert('{echo:lp{mp_sort_wrong};/}');
	}else{
		xmlhttp=InitAjax();
		xmlhttp.open("POST","do.php?act=pals_sort_change&id="+sort_id,true);
		xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlhttp.onreadystatechange=xmlchange;
		document.getElementById('info_'+sort_id).style.display="";
		document.getElementById('info_'+sort_id+'_edit').style.display="none";
		document.getElementById('show_info_'+sort_id).innerHTML=sort_value;
		xmlhttp.send("name="+sort_value);
	}
}

function exit_sort(info_id,show_id,text_id){
	document.getElementById(info_id).style.display="";
	document.getElementById(info_id+"_edit").style.display="none";
}

function edit_sort(info_id){
	document.getElementById(info_id).style.display="none";
	document.getElementById(info_id+"_edit").style.display="";
}

parent.guide("mypals");

function show_add(){
	document.getElementById("show_add_button").style.display="none";
	document.getElementById("add_area").style.display="";
}

function exit_add(){
	document.getElementById("add_area").style.display="none";
	document.getElementById("show_add_button").style.display="";
	document.getElementById("new_sort").value="";
}

function check_form(){
	var new_sort=document.getElementById("new_sort").value;
	if(trim(new_sort)==''){
		parent.Dialog.alert('{echo:lp{mp_sort_wrong};/}');
		return false;
	}else{
		return true;
	}
}

</script>
</head>
<body>
  <div class="main_right_title">
     <span class="main_title_dot3"></span>
     <span class="main_title_txt">{echo:lp{mp_mypals};/}</span>
  </div>
<div id="tabsB">
  <ul>
    <li><a href="?app=mypals" title="{echo:lp{mp_list};/}"><span>{echo:lp{mp_list};/}</span></a></li>
    <li><a href="?app=mypals_request" title="{echo:lp{mp_list};/}"><span>{echo:lp{mp_req};/}</span></a></li>
    <li><a href="?app=mypals_invite" title="{echo:lp{mp_invite};/}"><span>{echo:lp{mp_invite};/}</span></a></li>
    <li><a href="?app=mypals_sort" title="{echo:lp{mp_m_sort};/}" class="nowbutl"><span class="nowbutr">{echo:lp{mp_m_sort};/}</span></a></li>
  </ul>
	<div class="div_but" onclick="location.href='?app=mypals_search'">{echo:lp{mp_add};/}</div>
</div>
  
	<table class="pals_ms_table rs_list" id='sort_table' cellspacing="0">
		<tr>
			<td class="td_a">
				<a href='?app=mypals&sort_id=0'>{echo:lp{mp_no_sort};/}</a>（{echo:lp{mp_def_sort};/}）
			</td>
			<td class="td_b">&nbsp</td>
		</tr>
		
		{sta:foreach($pals_sort_rs as $rs)[loop]}
			
		<tr id="info_{echo:$rs['id'];/}">
			<td class="td_a">
					<div id="show_info_{echo:$rs['id'];/}">
						<a href='?app=mypals&sort_id={echo:$rs["id"];/}'>{echo:$rs['name'];/}</a>
					</div>
			</td>
			<td class="td_b">
					<a class="log_edit_link" href=javascript:edit_sort("info_{echo:$rs['id'];/}");>{echo:lp{b_edit};/}</a>&nbsp &nbsp
					<a class="log_del_link" href='do.php?act=pals_sort_del&id={echo:$rs["id"];/}' onclick='return confirm("{echo:lp{b_a_del};/}")'>{echo:lp{b_del};/}</a>
			</td>
		</tr>
		
		<tr id="info_{echo:$rs['id'];/}_edit" style="display:none;">
				<td class="td_a">
						<input type='text' id="change_sort_{echo:$rs['id'];/}" value="{echo:$rs['name'];/}" maxlength="20">
				</td>
				<td class="td_b">
					<a href="javascript:void(0);" class='log_edit_link' onclick=save_sort("{echo:$rs['id'];/}","change_sort_{echo:$rs['id'];/}"); >{echo:lp{b_button_save};/}</a>&nbsp &nbsp
				    <a href="javascript:void(0);" class='log_del_link' onclick=exit_sort("info_{echo:$rs['id'];/}","show_info_{echo:$rs['id'];/}","change_sort_{echo:$rs['id'];/}"); >{echo:lp{b_button_cancel};/}</a>
				</td>

		</tr>
		
		{end:foreach/}

		<tr><td>&nbsp</td></tr>	
		<tr>
			<td>
				<input type='button' id='show_add_button' class="anniu" style='display:""' value='{echo:lp{mp_add_sort};/}' onclick='show_add();' />
				<div id='add_area' style='display:none'>
					<form action='do.php?act=pals_sort_add' method='post' onsubmit='return check_form();'>
						<input class="text" type='text' name='new_sort' id='new_sort' />
						<input type='submit' value='{echo:lp{mp_t_sort};/}' class='anniu' />&nbsp
						<input type='button' value='{echo:lp{b_button_cancel};/}' class='anniu' onclick='exit_add();' />
					</form>
				</div>
			</td>
		</tr>
	</table>							
</body>
</html>